Need Shockwave player 8 (not 10)

  Tim1964 23:54 01 Aug 2005
Locked

I have the Shockwave 'Shockmachine'on my PC, but now when I try to play any of the games on it, an error message pops up "This app requires shockwave player 8 which is not installed, click here to download it". If I follow the link to the Macromedia homepage it only offers the latest version 10 and not 8. The Shockmachine doesn't run with ver.10

Does anyone have a link to Shockwave player 8?

Thanks,

  ACOLYTE 00:02 02 Aug 2005

This is all i could find click here the link to version 8.1 is down the list under previous versions,all the other linbks gotot version 10.

  Tim1964 00:18 02 Aug 2005

I've uninstalled v.10 and installed v.8.5 and now it works a treat.

Maybe the 'latest' isn't always best....

  ACOLYTE 00:25 02 Aug 2005

To tell you the truth i dont even know what version i have lol,but im glad it helped.

  octal 08:27 02 Aug 2005

This site wil test both Shockwave and Flashplayer click here

This thread is now locked and can not be replied to.

Elsewhere on IDG sites

OnePlus 5 review

See the work of famous artists playing with toys

iPad Pro 10.5in (2017) review

Comment faire une capture d’écran sur un Mac ?